Subject: bug#36745: 27.0.50; completing-read with require-match nil does not accept spaces

From: Michael Heerdegen <[email-masked]>
Date: Sun, 21 Jul 2019 01:40:40 +0200

Jean Louis <[email-masked]> writes:

> I think that it is not logical if it says "any input" that spaces
> cannot be entered and it is in that sense possible bug.

I think you should read it as "any (given) input string" (is accepted).
As distinguished from REQUIRE-MATCH t where RET doesn't let you exit
with non matching input.

So I don't see any bug in the strict sense.  OTOH I think it would be
good to speak out that SPC is special, and mention the C-q SPC
workaround, at least in the manual (if we don't do this already - do
we?).

Michael.